%define unmangled_name XlsxWriter

Summary: A Python module for creating Excel XLSX files.
Name: python3-XlsxWriter
Version: 1.2.8
Release: 1%{?dist}
Url: https://github.com/jmcnamara/XlsxWriter
Source0: %{unmangled_name}-RELEASE_%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildArch: noarch
BuildRequires: python3-setuptools
BuildRequires: python3-rpm-macros
BuildRequires: python-rpm-macros

%description
XlsxWriter is a Python module for writing files in the Excel
2007+ XLSX file format. XlsxWriter can be used to write text, numbers,
formulas and hyperlinks to multiple worksheets and it supports features
such as formatting and many more.

%prep
%autosetup -n %{unmangled_name}-RELEASE_%{version}

%build
%{py3_build}

%install
%{py3_install}
rm -rf %{buildroot}/usr/share/doc/%{name}

%clean
rm -rf %{buildroot}

%files
%license LICENSE.txt
%{_bindir}/*
%{python3_sitelib}/xlsxwriter/
%{python3_sitelib}/XlsxWriter-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Mar 13 2020 Yupeng Chang <ypchang@ambarella.com> - 1.2.8-1
- Update to 1.2.8

* Wed May 29 2019 Yupeng Chang <ypchang@ambarella.com> - 1.1.8-1
- Update to 1.1.8

* Thu Oct 25 2018 Yupeng Chang <ypchang@ambarella.com> - 1.1.2-1
- Initial build

